package server;

import java.net.*;

import db.FavAnimalData;
import db.SQLiteAdapter;
import db.Constants;

public class Server {
	public static void main(String[] args){
		ServerSocket socket = null;
		FavAnimalData f = null;
		try {
			f = new FavAnimalData();//initialize new database accessor.
		} catch (Exception e1) {
			e1.printStackTrace();
		}
		
		try {			
			f.createTables();//create the tables
			socket = new ServerSocket(Constants.SERVER_PORT);
			while(true){
				Thread connection = new ServerThread(socket.accept(), f);//spawn a thread to do the work
				connection.start();
			}
		} catch (Exception e){
			e.printStackTrace();
			System.exit(-1);
		}
	}
}
